3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try{throw new Exception("test");}catch(Exception $ex){throw $ex;}finally{echo "still ran!";}
Output for 7.0.0 - 7.1.0
still ran! Fatal error: Uncaught Exception: test in /in/gFLJv:2 Stack trace: #0 {main} thrown in /in/gFLJv on line 2
Process exited with code 255.
Output for hhvm-3.10.0 - 3.12.0
still ran! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/gFLJv:2 Stack trace: #0 {main}
Process exited with code 255.
Output for 5.5.0 - 5.6.28
still ran! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/gFLJv:2 Stack trace: #0 {main} thrown in /in/gFLJv on line 2
Process exited with code 255.
Output for 4.4.2 - 4.4.9, 5.1.0 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/gFLJv on line 2
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1, 5.0.0 - 5.0.5
Parse error: parse error, unexpected '{' in /in/gFLJv on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/gFLJv on line 2
Process exited with code 255.